LSProgressEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: org.w3c.dom.ls, interface: LSProgressEvent
Keywords: org.w3c.dom.ls.LSProgressEvent interface

# Interface LSProgressEvent

All Superinterfaces:
  `Event`

public interface LSProgressEvent extends Event
This interface represents a progress event object that notifies the application about progress as a document is parsed. It extends the `Event` interface defined in [DOM Level 3 Events] .

The units used for the attributes `position` and `totalSize` are not specified and can be implementation and input dependent.

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

Since:
  1.5

- ## Field Summary

  ### Fields declared in interface Event

  `AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`
  Modifier and Type
  Field
  Description
  `static final short`
  `AT_TARGET`
  The event is currently being evaluated at the target `EventTarget`.
  `static final short`
  `BUBBLING_PHASE`
  The current event phase is the bubbling phase.
  `static final short`
  `CAPTURING_PHASE`
  The current event phase is the capturing phase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LSInput`
  `getInput()`
  The input source that is being parsed.
  `int`
  `getPosition()`
  The current position in the input source, including all external entities and other resources that have been read.
  `int`
  `getTotalSize()`
  The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen.

  ### Methods declared in interface Event

  `getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`
  Modifier and Type
  Method
  Description
  `boolean`
  `getBubbles()`
  Used to indicate whether or not an event is a bubbling event.
  `boolean`
  `getCancelable()`
  Used to indicate whether or not an event can have its default action prevented.
  `EventTarget`
  `getCurrentTarget()`
  Used to indicate the `EventTarget` whose `EventListeners` are currently being processed.
  `short`
  `getEventPhase()`
  Used to indicate which phase of event flow is currently being evaluated.
  `EventTarget`
  `getTarget()`
  Used to indicate the `EventTarget` to which the event was originally dispatched.
  `long`
  `getTimeStamp()`
  Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
  `String`
  `getType()`
  The name of the event (case-insensitive).
  `void`
  `initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)`
  The `initEvent` method is used to initialize the value of an `Event` created through the `DocumentEvent` interface.
  `void`
  `preventDefault()`
  If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur.
  `void`
  `stopPropagation()`
  The `stopPropagation` method is used prevent further propagation of an event during event flow.

- ## Method Details

  - ### getInput

    LSInput getInput()
    The input source that is being parsed.

  - ### getPosition

    int getPosition()
    The current position in the input source, including all external entities and other resources that have been read.

  - ### getTotalSize

    int getTotalSize()
    The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen. A value of `0` is returned if the total size cannot be determined or estimated.